CS::Mesh::iFurMeshState Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Mesh::iFurMeshState Struct Reference

Access to the properties used for the iFurMesh. More...

`#include <imesh/furmesh.h>`

Inheritance diagram for CS::Mesh::iFurMeshState:

List of all members.

## Public Member Functions
virtual uint | GetAverageControlPointsCount () const =0
| Get the average number of control points per fur strand.
virtual float | GetControlPointsDeviation () const =0
| Get the control points position deviation.
virtual float | GetControlPointsDistance () const =0
| Get the distance between control points on a fur.
virtual float | GetDensityFactorFurStrands () const =0
| Get the density factor for fur strands.
virtual float | GetDensityFactorGuideFurs () const =0
| Get the density factor for guide furs.
virtual iTextureWrapper * | GetDensityMap () const =0
| Get the density map texture.
virtual float | GetDisplacement () const =0
| Get the displacement between the fur mesh and the base mesh.
virtual float | GetFurStrandDeviation () const =0
| Get the fur strand position deviation.
virtual bool | GetGrowTangent () const =0
| Check if fur grows based on tangent direction.
virtual float | GetHeightFactor () const =0
| Get the height factor (for guide furs)
virtual iTextureWrapper * | GetHeightMap () const =0
| Get the heightmap map texture.
virtual uint | GetMixmode () const =0
| Get mixmode.
virtual float | GetPointiness () const =0
| Get the pointiness of a fur strand.
virtual CS::Graphics::RenderPriority | GetRenderPriority () const =0
| Get render priority.
virtual bool | GetSmallFur () const =0
| Check if we grow small fur (tangents are reversed with normals)
virtual float | GetStrandWidth () const =0
| Get the width of a strand.
virtual float | GetThicknessVariation () const =0
| Get the fur strand thickness variation.
virtual csZBufMode | GetZBufMode () const =0
| Get Z-buffer.
virtual void | SetAverageControlPointsCount (uint averageControlPointsCount)=0
| Set the average number of control points per fur strand.
virtual void | SetControlPointsDeviation (float positionDeviation)=0
| Set the control points position deviation.
virtual void | SetControlPointsDistance (float controlPointsDistance)=0
| Set the distance between control points on a fur.
virtual void | SetDensityFactorFurStrands (float densityFactorFurStrands)=0
| Set the density factor for fur strands.
virtual void | SetDensityFactorGuideFurs (float densityFactorGuideFurs)=0
| Set the density factor for guide furs.
virtual void | SetDensityMap (iTextureWrapper *densityMap)=0
| Set the density map texture.
virtual void | SetDisplacement (float displacement)=0
| Set the displacement between the fur mesh and the base mesh.
virtual void | SetFurStrandDeviation (float furStrandDeviation)=0
| Set the fur strand position deviation.
virtual void | SetGrowTangent (bool growTangent)=0
| Set if fur grows based on tangent direction.
virtual void | SetHeightFactor (float heightFactor)=0
| Set the height factor (for guide furs)
virtual void | SetHeightMap (iTextureWrapper *heightMap)=0
| Set the heightmap map texture.
virtual void | SetMixmode (uint mode)=0
| Set mixmode.
virtual void | SetPointiness (float pointiness)=0
| Set the pointiness of a fur strand.
virtual void | SetRenderPriority (CS::Graphics::RenderPriority priority)=0
| Set render priority.
virtual void | SetSmallFur (bool smallFur)=0
| Set if fur grows based on tangent direction.
virtual void | SetStrandWidth (float strandWidth)=0
| Set the width of a strand.
virtual void | SetThicknessVariation (float thicknessVariation)=0
| Set the fur strand thickness variation.
virtual void | SetZBufMode (csZBufMode z_buf_mode)=0
| Set Z-buffer.

## Detailed Description

Access to the properties used for the iFurMesh.

Definition at line 156 of file furmesh.h.

## Member Function Documentation

virtual uint CS::Mesh::iFurMeshState::GetAverageControlPointsCount | ( |  | ) | const`[pure virtual]`

Get the average number of control points per fur strand.

virtual float CS::Mesh::iFurMeshState::GetControlPointsDeviation | ( |  | ) | const`[pure virtual]`

Get the control points position deviation.

virtual float CS::Mesh::iFurMeshState::GetControlPointsDistance | ( |  | ) | const`[pure virtual]`

Get the distance between control points on a fur.

virtual float CS::Mesh::iFurMeshState::GetDensityFactorFurStrands | ( |  | ) | const`[pure virtual]`

Get the density factor for fur strands.

virtual float CS::Mesh::iFurMeshState::GetDensityFactorGuideFurs | ( |  | ) | const`[pure virtual]`

Get the density factor for guide furs.

virtual iTextureWrapper* CS::Mesh::iFurMeshState::GetDensityMap | ( |  | ) | const`[pure virtual]`

Get the density map texture.

virtual float CS::Mesh::iFurMeshState::GetDisplacement | ( |  | ) | const`[pure virtual]`

Get the displacement between the fur mesh and the base mesh.

virtual float CS::Mesh::iFurMeshState::GetFurStrandDeviation | ( |  | ) | const`[pure virtual]`

Get the fur strand position deviation.

virtual bool CS::Mesh::iFurMeshState::GetGrowTangent | ( |  | ) | const`[pure virtual]`

Check if fur grows based on tangent direction.

virtual float CS::Mesh::iFurMeshState::GetHeightFactor | ( |  | ) | const`[pure virtual]`

Get the height factor (for guide furs)

virtual iTextureWrapper* CS::Mesh::iFurMeshState::GetHeightMap | ( |  | ) | const`[pure virtual]`

Get the heightmap map texture.

virtual uint CS::Mesh::iFurMeshState::GetMixmode | ( |  | ) | const`[pure virtual]`

Get mixmode.

virtual float CS::Mesh::iFurMeshState::GetPointiness | ( |  | ) | const`[pure virtual]`

Get the pointiness of a fur strand.

virtual CS::Graphics::RenderPriority CS::Mesh::iFurMeshState::GetRenderPriority | ( |  | ) | const`[pure virtual]`

Get render priority.

virtual bool CS::Mesh::iFurMeshState::GetSmallFur | ( |  | ) | const`[pure virtual]`

Check if we grow small fur (tangents are reversed with normals)

virtual float CS::Mesh::iFurMeshState::GetStrandWidth | ( |  | ) | const`[pure virtual]`

Get the width of a strand.

virtual float CS::Mesh::iFurMeshState::GetThicknessVariation | ( |  | ) | const`[pure virtual]`

Get the fur strand thickness variation.

virtual csZBufMode CS::Mesh::iFurMeshState::GetZBufMode | ( |  | ) | const`[pure virtual]`

Get Z-buffer.

virtual void CS::Mesh::iFurMeshState::SetAverageControlPointsCount | ( | uint | averageControlPointsCount | ) | `[pure virtual]`

Set the average number of control points per fur strand.

virtual void CS::Mesh::iFurMeshState::SetControlPointsDeviation | ( | float | positionDeviation | ) | `[pure virtual]`

Set the control points position deviation.

virtual void CS::Mesh::iFurMeshState::SetControlPointsDistance | ( | float | controlPointsDistance | ) | `[pure virtual]`

Set the distance between control points on a fur.

virtual void CS::Mesh::iFurMeshState::SetDensityFactorFurStrands | ( | float | densityFactorFurStrands | ) | `[pure virtual]`

Set the density factor for fur strands.

virtual void CS::Mesh::iFurMeshState::SetDensityFactorGuideFurs | ( | float | densityFactorGuideFurs | ) | `[pure virtual]`

Set the density factor for guide furs.

virtual void CS::Mesh::iFurMeshState::SetDensityMap | ( | iTextureWrapper * | densityMap | ) | `[pure virtual]`

Set the density map texture.

virtual void CS::Mesh::iFurMeshState::SetDisplacement | ( | float | displacement | ) | `[pure virtual]`

Set the displacement between the fur mesh and the base mesh.

virtual void CS::Mesh::iFurMeshState::SetFurStrandDeviation | ( | float | furStrandDeviation | ) | `[pure virtual]`

Set the fur strand position deviation.

virtual void CS::Mesh::iFurMeshState::SetGrowTangent | ( | bool | growTangent | ) | `[pure virtual]`

Set if fur grows based on tangent direction.

virtual void CS::Mesh::iFurMeshState::SetHeightFactor | ( | float | heightFactor | ) | `[pure virtual]`

Set the height factor (for guide furs)

virtual void CS::Mesh::iFurMeshState::SetHeightMap | ( | iTextureWrapper * | heightMap | ) | `[pure virtual]`

Set the heightmap map texture.

virtual void CS::Mesh::iFurMeshState::SetMixmode | ( | uint | mode | ) | `[pure virtual]`

Set mixmode.

virtual void CS::Mesh::iFurMeshState::SetPointiness | ( | float | pointiness | ) | `[pure virtual]`

Set the pointiness of a fur strand.

virtual void CS::Mesh::iFurMeshState::SetRenderPriority | ( | CS::Graphics::RenderPriority | priority | ) | `[pure virtual]`

Set render priority.

virtual void CS::Mesh::iFurMeshState::SetSmallFur | ( | bool | smallFur | ) | `[pure virtual]`

Set if fur grows based on tangent direction.

virtual void CS::Mesh::iFurMeshState::SetStrandWidth | ( | float | strandWidth | ) | `[pure virtual]`

Set the width of a strand.

virtual void CS::Mesh::iFurMeshState::SetThicknessVariation | ( | float | thicknessVariation | ) | `[pure virtual]`

Set the fur strand thickness variation.

virtual void CS::Mesh::iFurMeshState::SetZBufMode | ( | csZBufMode | z_buf_mode | ) | `[pure virtual]`

Set Z-buffer.

The documentation for this struct was generated from the following file:

- imesh/furmesh.h